#pragma once
#include <string>
#include <vector>

class DropshellScriptManager {
public:
    DropshellScriptManager();
    void ensureExists() const;
    void addToolEntry(const std::string& toolName, const std::string& toolDir);
    void removeToolEntry(const std::string& toolName);
    void addAlias(const std::string& alias, const std::string& toolName);
    void addAutocomplete(const std::string& toolName);
    bool hasAlias(const std::string& alias) const;
    std::vector<std::string> listAliases() const;
}; 